% Runs some tests similar to the ones of Example 3.15 from
% Potts, D., Volkmer, T.
% Sparse high-dimensional FFT based on rank-1 lattice sampling.
% Submitted, 2015.

test4snr_sfft_algorithm_multipletests( 10, 32, 1000, 'a2r1l', 'phase', 10.^[6,2], 1000, 1000, 1, 1, 10, 'test4snr_a2r1l_SNR60dB_SNR20db_r1_results.mat' );
test4snr_sfft_algorithm_multipletests( 10, 32, 1000, 'a2r1l', 'phase', 10.^2, 1000, 1000, 5, 5, 10, 'test4snr_a2r1l_SNR20db_r5_results.mat' );

fprintf('\n');
print_test4snr( 'test4snr_a2r1l_SNR60dB_SNR20db_r1_results.mat' );
print_test4snr( 'test4snr_a2r1l_SNR20db_r5_results.mat' );


% % For the complete Example 3.15 with sparsity 1000 (may take a very very long time):
% test4snr_sfft_algorithm_multipletests( 10, 32, 1000, 'a2r1l', 'phase', 10.^(8:-1:0), 1000, 1000, 1, 1, 1000, 'test4snr_a2r1l_r1_results.mat' );
% test4snr_sfft_algorithm_multipletests( 10, 32, 1000, 'a2r1l', 'phase', 10.^(8:-1:0), 1000, 1000, 2, 2, 1000, 'test4snr_a2r1l_r2_results.mat' );
% test4snr_sfft_algorithm_multipletests( 10, 32, 1000, 'a2r1l', 'phase', 10.^(8:-1:0), 1000, 1000, 3, 3, 1000, 'test4snr_a2r1l_r3_results.mat' );
% test4snr_sfft_algorithm_multipletests( 10, 32, 1000, 'a2r1l', 'phase', 10.^(8:-1:0), 1000, 1000, 4, 4, 1000, 'test4snr_a2r1l_r4_results.mat' );
% test4snr_sfft_algorithm_multipletests( 10, 32, 1000, 'a2r1l', 'phase', 10.^(8:-1:0), 1000, 1000, 5, 5, 1000, 'test4snr_a2r1l_r5_results.mat' );
% print_test4snr( 'test4snr_a2r1l_r1_results.mat' );
% print_test4snr( 'test4snr_a2r1l_r2_results.mat' );
% print_test4snr( 'test4snr_a2r1l_r3_results.mat' );
% print_test4snr( 'test4snr_a2r1l_r4_results.mat' );
% print_test4snr( 'test4snr_a2r1l_r5_results.mat' );
